Skip to content

Add a bank account

POST
/v1/bank-accounts/

Adds a new bank account as an off-ramp destination. The type field determines the required fields.

Account Types

TypeRegionRequired FieldsSupported Rails
usUnited StatesroutingNumber, accountNumberACH, RTP, Wire
caCanadainstitutionNumber, transitNumber, accountNumberEFT
ukUnited KingdomsortCode, accountNumberFPS
ibanEurope / SEPAiban, optionally bicSEPA

Examples

US Bank Account:

{
  "type": "us",
  "ownership": "personal",
  "routingNumber": "021000021",
  "accountNumber": "123456789",
  "accountSubtype": "checking"
}

Canadian Bank Account:

{
  "type": "ca",
  "ownership": "thirdParty",
  "accountHolder": { "firstName": "Jane", "lastName": "Smith" },
  "institutionNumber": "001",
  "transitNumber": "12345",
  "accountNumber": "1234567"
}

IBAN (SEPA) Bank Account:

{
  "type": "iban",
  "ownership": "personal",
  "iban": "DE89370400440532013000"
}

The account will be verified before becoming active.

Create a bank account. The type field determines the required fields.

Any of:

US bank account (ACH/Wire)

object
type
required

US bank account type

string
Allowed value: us
ownership
required
Any of:
string
Allowed value: personal
accountHolder

Account holder details. Required when ownership is “thirdParty”.

object
firstName
required

Account holder first name

string
lastName
required

Account holder last name

string
address

Account holder mailing address

object
street
required
string
street2
string
city
required
string
state
required
string
postalCode
required
string
country
string
routingNumber
required

9-digit ABA routing number

string
/^[0-9]{9}$/
accountNumber
required

Bank account number

string
accountSubtype
Any of:
string
Allowed value: checking
label

Friendly name for the account

string

Bank account details. The type field indicates the account variant.

Any of:

US bank account response

object
id
required

Unique identifier for the bank account

string
status
required
Any of:
string
Allowed value: active
accountHolderName
required

Name of the account holder

string
institution

Financial institution details

object
name
required

Name of the financial institution

string
logo

URL to institution logo

string
supportedRails
required

Payment rails available for this account

Array
label

Friendly name for the account

string
createdAt
required

When the account was created

string format: date-time
type
required
string
Allowed value: us
currency
required
string
Allowed value: USD
accountNumberLast4
required

Last 4 digits of account number

string
routingNumberLast4
required

Last 4 digits of routing number

string
accountSubtype
Any of:
string
Allowed value: checking

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string